.container-fluid {
  height: 100%;
}

.grid {
  padding: 0;
}

.task-list {
  margin-top: 20px;
  width: 500px;
  max-width: 100%;
  min-height: 60px;
  display: block;
  height: 600px;
  overflow-y: auto;
  background: white;
  border: dashed 1px #ccc;
  border-radius: 4px;
}

.task {
  padding: 20px 10px;
  color: rgba(0, 0, 0, 0.87);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  box-sizing: border-box;
  cursor: move;
  background: white;
  font-size: 14px;
  overflow-x: hidden;
}

.task-due{
  color: #FE5858;
  border-color: #FE5858 !important;
  border: 1px !important;
  border-style: dashed !important;
}

.task-due-tomorrow{
  color: #FEC758;
  border-color: #FEC758 !important;
  border: 1px !important;
  border-style: dashed !important;
}

.button-spacer {
  padding: 15px;
}

.spacer {
  flex: 1 1 auto;
}

.navigation-date-picker {
  width: 0;
  height: 0;
  padding: 0;
  margin: 0;
  border: none;
  visibility: hidden;
}

.cdk-drag-preview {
  box-sizing: border-box;
  border-radius: 4px;
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
  0 8px 10px 1px rgba(0, 0, 0, 0.14),
  0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

.cdk-drag-placeholder {
  opacity: 0;
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.task:last-child {
  border: none;
}

.task-list.cdk-drop-list-dragging .task:not(.cdk-drag-placeholder) {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}
